|  | Home · All Classes · Modules

# QAbstractExtensionFactory Class Reference
[QtDesigner module]

The QAbstractExtensionFactory class provides an interface for extension factories in Qt Designer. More...

Inherited by QExtensionFactory.

### Methods

- __init__ (self)
- __init__ (self, QAbstractExtensionFactory)
- QObject extension (self, QObject, QString)

## Detailed Description

The QAbstractExtensionFactory class provides an interface for extension factories in Qt Designer.

QAbstractExtensionFactory is not intended to be instantiated directly; use the QExtensionFactory instead.

In Qt Designer, extension factories are used to look up and create named extensions as they are required. For that reason, when implementing a custom extension, you must also create a QExtensionFactory, i.e a class that is able to make an instance of your extension, and register it using Qt Designer's extension manager.

When an extension is required, Qt Designer's extension manager will run through all its registered factories calling QExtensionFactory.createExtension() for each until the first one that is able to create the requested extension for the selected object, is found. This factory will then make an instance of the extension.

See also QExtensionFactory and QExtensionManager.

## Method Documentation

### QAbstractExtensionFactory.__init__ (self)

### QAbstractExtensionFactory.__init__ (self, QAbstractExtensionFactory)

### QObject QAbstractExtensionFactory.extension (self, QObject, QString)

This method is abstract and should be reimplemented in any sub-class.

Returns the extension specified by iid for the given object.